<?php session_start(); ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Reserver Matières</title>
<link rel="stylesheet" href="w3.css">
<!--<script src="https://sscc-bikfaya.com/Mob_app/tinymce/js/tinymce/tinymce.min.js" referrerpolicy="origin"></script> 
  
<script>tinymce.init({selector:'textarea'});</script> -->
</head>
<style>
body {width:90%;}
</style>
<body>

<div class="w3-card-4">
<form method="post" action="teacherreserve.php" >
<?php
include 'header.php';
$classeid=0;
$date=$agenda="";
$ctrlErr="";
$id=$_SESSION['id'];

//include("_serveur.php");
//include("_serveur.php");
$cycle=$_GET['cycle'];
include '_serveur.php';
$sql = 'SELECT * from classes where cycleID="'.$cycle.'" order by id ASC';
   if(!(mysqli_query($link, $sql))){
    echo "ERROR: Could not able to execute $sql. " . mysqli_error($link);
}
$req=  mysqli_query($link, $sql);
echo '<p><label class="w3-text-teal" >Classe:</label>';
//echo'<select name="cla" class="w3-select w3-border w3-light-grey">';

 while($data = mysqli_fetch_array($req)) {
$classe=$data['name'];
$classeid=$data['id'];
$classe=strtoupper($classe);
// echo' <option value="'.$classeid.'">'.$classe.'</option>';
echo ' <input class="w3-check" type="checkbox" name="cla[]"  value="'.$classeid.'">
  <label>'.$classe.'</label>';
        };

//echo '</select>';
$sql = 'SELECT * from subjects where id!=9 and id!=10 order by ordering ASC';
   if(!(mysqli_query($link, $sql))){
    echo "ERROR: Could not able to execute $sql. " . mysqli_error($link);
}
$req=  mysqli_query($link, $sql);
//echo'<select name="cla" class="w3-select w3-border w3-light-grey">';
echo '<p><label class="w3-text-teal" >Matières:</label>';

 while($data = mysqli_fetch_array($req)) {
$matiere=$data['name'];
$matiereid=$data['id'];
$classe=strtoupper($classe);
// echo' <option value="'.$classeid.'">'.$classe.'</option>';
echo ' <input class="w3-check" type="checkbox" name="mat[]"  value="'.$matiereid.'">
  <label>'.$matiere.'</label>';
        };

//echo '</select>';

 echo' </p><p> <input name="envoyer" type="submit" class="style19" value="Envoyer" bgcolor="#CC99FF" /></p></form></div>';
               
if (isset ($_POST['envoyer'])){
$cla1=array();
$cla1=$_POST['cla'];
$mat1=array();
$mat1=$_POST['mat'];
// Storing a string into the variable which
// needs to be Encrypted

  $j=0;
  $m=0;
  while ($j<sizeof($cla1))
  {
	  while($m<sizeof($mat1))
	       {

     $sql = 'INSERT INTO teachersSubjects VALUES("'.$id.'","'.$cla1[$j].'","'.$mat1[$m].'")';
    if(!(mysqli_query($link, $sql))){
    echo "ERROR: Could not able to execute $sql. " . mysqli_error($link);
                                    }
		$m=$m+1;							
           }
		   $m=0;
  $j=$j+1;
}
}
//On se connecte
// on ferme la connexion

?>



</body>
</html>